Retrieve All Picklists
Retrieve all picklists in the authenticated Vault which the authenticated user has access to view.
GET
/api/{version}/objects/picklistsHeaders
Section link for Headers| Name | Description |
|---|---|
Accept | application/json (default) or application/xml |
Query Parameters
Section link for Query Parameters| Name | Description |
|---|---|
loc | When localized (translated) strings or Label Sets are available, retrieve them by setting loc to true. |
Request
Section link for Requestcurl -X GET -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v26.1/objects/picklistsResponse
Section link for Response{
"responseStatus": "SUCCESS",
"responseMessage": "Success",
"errorCodes": null,
"picklists": [
{
"name": "issue_source__v",
"label": "Source",
"kind": "global",
"systemManaged": false,
"usedIn": [
{
"objectName": "issue_escalation__v",
"propertyName": "issue_source__v"
}
]
},
{
"name": "third_party_service__v",
"label": "Third Party Service?",
"kind": "global",
"systemManaged": false,
"usedIn": [
{
"objectName": "adverse_event_report__v",
"propertyName": "third_party_service__v"
}
]
},
{
"name": "exception_item_error_status__sys",
"label": "User Exception Item Error Status",
"kind": "global",
"systemManaged": false,
"usedIn": [
{
"objectName": "exception_item__sys",
"propertyName": "error_status__sys"
}
]
},
{
"name": "audit_program_sig_type__sys",
"label": "Audit Program Signature Type",
"kind": "global",
"systemManaged": false,
"usedIn": [
{
"objectName": "audit_program_sig__sys",
"propertyName": "signature_type__sys"
}
]
},
{
"name": "country_cda__v",
"label": "Country",
"kind": "global",
"systemManaged": true,
"usedIn": [
{
"objectName": "country__v",
"propertyName": "country_cda__v"
}
]
},
{
"name": "email_template_type__v",
"label": "Email Template Type",
"kind": "global",
"system": true,
"usedIn": [
{
"documentTypeName": "email_template__v",
"propertyName": "emailTemplateType_b"
}
]
},
{
"name": "license_type__v",
"label": "License Type",
"kind": "user",
"system": true
}
],
"errorType": null
}Response Details
Section link for Response Details| Metadata Field | Description |
|---|---|
name | Picklist name. This is used only in the API and displayed in the Admin UI. |
label | Picklist label. This is used in the API and UI. Users see the label on document and object picklist fields. |
kind | There are two kinds of picklists: global picklists apply to documents and objects; user picklists apply to Vault users. |
system | If true, the picklist values cannot be added, edited, or removed. This attribute may not appear for all picklists. |
systemManaged | Indicates if the picklist is system-managed. If true, picklist values cannot be added, picklist names cannot be modified, and picklist value names cannot be edited. |
usedIn | The document type or object in which the picklist is defined. |
documentTypeName | For document picklists, this is the document type name in which the picklist is defined. |
objectName | For object picklists, this is the object name in which the picklist is defined. |
propertyName | For document picklists, this is the document field name using the picklist. For object picklists, this is the object field name using the picklist. |